<div th:replace="data(mainWrapper=~{::content})" th:fragment="content" xmlns:th="http://www.thymeleaf.org" th:classappend="${repeatable}? 'repeatable-field-info'">
    <div class="form-inline">
        <label nash-th:text="#{*{elm.label}}"></label>
        <input type="text" class="form-control" nash-th:name="*{path.fullPath} + '.monetary'" nash-th:value="*{null == value ? '' : value.monetary}" th:attr="data-parsley-required=${data.mandatory}? true" />
        <select class="form-control" nash-th:name="*{path.fullPath + '.currency'}"></select>
        <input type="hidden" nash-th:name="*{path.fullPath} + '.currency.id'" nash-th:value="*{null == value ? '' : value.currency}"/>
        <input type="hidden" nash-th:name="*{path.fullPath} + '.amount'" nash-th:value="*{null == value ? '' : value.amount}"/>
    </div>
</div>